<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('chat_logs', function (Blueprint $table) {
            $table->id();
            $table->string('session_id')->nullable(); // Untuk melacak percakapan dalam satu waktu
            $table->text('user_message'); // Pertanyaan pengguna
            $table->text('bot_response'); // Jawaban AI
            $table->timestamps(); // Menyimpan otomatis waktu/tanggal chat
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('chat_logs');
    }
};
